Skip to main content
GET
List Users

Query Parameters

email
string

Filter by part of the email, ignoring case

status
enum<string>

Filter by user status

Available options:
active,
inactive,
invited,
reviewing
page_size
integer<int>

Maximum number of items to return (1-100). When provided, enables pagination

page
integer<int>

Page number (1-based). When provided, enables pagination

Response

Array of users. With page or page_size, the {pages, data} envelope of openapi.PaginatedResponse-openapi_UserListItem

email
string<email>
required

Email address of the user

groups
string[]

Groups registered for this user

Example:
id
string<uuid>
read-only

Unique identifier of the resource

last_login_at
string<date-time>
read-only

The time of the last sign-in or access token refresh. It is null when none was recorded.

Example:

"2026-10-14T13:45:00Z"

name
string

Display name

Example:

"John Wick"

password
string

Local auth cases have a password

Example:

"mysecurepassword"

picture
string

The profile picture url to display

Example:

""

role
enum<string>
read-only

Permission related to the user

  • admin - Has super privileges and has access to any resource in the system
  • approver - Grant access to approval routes.
  • standard - Grant access to standard routes.
  • unregistered - Grant access to unregistered routes. It's a transient state where the user is authenticated but is not registered. This state is only available for multi tenant environments
Available options:
admin,
approver,
standard,
unregistered
Example:

"standard"

slack_id
string

The identifier of slack to send messages to users

Example:

"U053ELZHB53"

status
enum<string>
default:active

The status of the user. Inactive users cannot access the system

Available options:
active,
inactive,
invited,
reviewing
verified
boolean
read-only

DEPRECATED in flavor of role